<{if $smarty.const.DEV}>
    <script src="<{$smarty.const.STATIC_HOST}>/html_source/assets/pc/js/template-native.js?v=83fdc86891"></script>
<{else}>
    <script src="<{$smarty.const.STATIC_HOST}>/static/assets/pc/js/template-native.js?v=83fdc86891"></script>
<{/if}>
<script type="text/javascript">
    var sort = 'likes'; //likes,time
    var pagesize = 10;
    var page_index = 1;
    var hasNext = true;

    function bind_comment(){
        var isLoadingMore = false;
        var loading = 0;

        var nickname = $('#tb_search').val();
        var id = $('#hid_act_id').val();
        var order = sort=='likes'? 2 : 3;
        //console.log("order="+order)

        if (hasNext == 0) {
            return;
        }
        var container = $('.hot-list .cs-row');
        $.ajax({
            type: 'GET',
            url: location.href,
            data: {mod: 'getHotLists', id: id, nickname: nickname, pageSize: pagesize, page_index: page_index, order: order},
            dataType: 'json',
            success: function (data) {
                //console.log(data);
                //console.log(JSON.stringify(data));

                if (data.status == 200) {
                    hasNext = data.data.hasNext;
                    page_index = data.data.pageIndex;

                    var list = data.data.list;
                    if (list.length < pagesize) {
                        hasNext = 0;
                    }
                    if(list.length>0) {
                        var html = template('common-tpl', {
                            data:list,
                            avatar: 'http://pic.cheshen.cn/imgs/d2ac1572c149fdc454dce833d010a5e7.png@300w_300h_100Q_1e_1c'
                        });
                        container.append(html);

                        page_index++;
                    }
                }
            },
            beforeSend: function () {
                cmm.loading_act();
            },
            complete: function () {
                isLoadingMore = false;
                cmm.loading_close();
            },
            error: function () {
                sky_dialog.toast('获取数据失败');
                cmm.loading_close();
            }
        });
    }

    //加载更多
    function comment_next(){
        if (hasNext){
            bind_comment();
        }else{
            sky_dialog.toast('暂无更多信息');
        }
    }
    //排序切换
    function comment_sort(){
        page_index = 1;
        hasNext = true;
        $('.hot-list .cs-row').html('');
        bind_comment();
    }

    $(function () {
        $('.hot-list .cs-row').html('');
        bind_comment();
    });
</script>